## node-ansi-up 4.0.3%2Bdfsg

=== debian/changelog ===
node-ansi-up (4.0.3+dfsg-2) unstable; urgency=medium

  * Fix name of copyright holder in "debian/copyright".

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 05 May 2019 20:32:07 +0000

node-ansi-up (4.0.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #921563)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 31 Mar 2019 20:07:53 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with nodejs

override_dh_auto_build:
	dh_auto_build
	uglifyjs ansi_up.js > ansi_up.min.js

## node-ansi-up 5.0.0+dfsg

=== Makefile ===

SOURCE = *.ts
TESTS = test/*.js
REPORTER = dot

typescript:
		./node_modules/.bin/tsc -p .
		cat ./umd.header ./dist/ansi_up.js ./umd.footer > ansi_up.js
		mv  ./dist/ansi_up.js ./dist/ansi_up.js.include
		node ./scripts/fix-typings.js
		
test:
		@NODE_ENV=test ./node_modules/.bin/mocha \
				--require should \
				--reporter $(REPORTER) \
				$(TESTS)

test_verbose:
		@NODE_ENV=test ./node_modules/.bin/mocha \
				--require should \
				--reporter spec \
				$(TESTS)

clean:
		rm -rf ./node_modules ansi_up.js

.PHONY:	test

## node-ansi-up 4.0.3+dfsg

=== debian/control ===
Source: node-ansi-up
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Dmitry Bogatov <KAction@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 12),
 node-typescript,
 nodejs (>= 6),
 node-should,
 mocha,
 pkg-js-tools,
 uglifyjs,
Standards-Version: 4.3.0
Homepage: https://github.com/drudru/ansi_up#readme
Vcs-Git: https://salsa.debian.org/js-team/node-ansi-up.git
Vcs-Browser: https://salsa.debian.org/js-team/node-ansi-up
X-Short-Desc: convert text containing ANSI color escape codes into HTML
X-Long-Desc:
 This library provide function that takes a stream of text and transforms it
 into proper HTML with colors. It does this by buffering the data and
 performing multiple passes over the stream. Each time it consumes data,
 it may or may not emit HTML. This HTML will always be proper HTML.

Package: node-ansi-up
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
Description: ${S:X-Short-Desc} ${S:X-Long-Desc}
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-ansi-up
Architecture: all
Depends: ${misc:Depends}
Description: ${S:X-Short-Desc} ${S:X-Long-Desc}
 .
 This package provides library in format, suitable for client-side programming.

=== debian/watch ===
version=3
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-ansi-up-$1.tar.gz/ \
 https://github.com/drudru/ansi_up/releases .*/archive/v?([\d\.]+).tar.gz

## node-ansi-up 4.0.4+dfsg

=== debian/changelog ===
node-ansi-up (4.0.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Update debian/watch to version 4
  * New upstream version 4.0.4+dfsg
  * Use pkg-js-tools auto install (install in /usr/share/nodejs and instal
    types)

 -- Xavier Guimard <yadd@debian.org>  Fri, 22 May 2020 00:00:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  mocha,
  pkg-js-tools,
  uglifyjs,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/drudru/ansi_up#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-ansi-up.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-ansi-up
@@ -22,6 +22,7 @@
  into proper HTML with colors. It does this by buffering the data and
  performing multiple passes over the stream. Each time it consumes data,
  it may or may not emit HTML. This HTML will always be proper HTML.
+Rules-Requires-Root: no
 
 Package: node-ansi-up
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with nodejs

override_dh_auto_build:
	make
	uglifyjs ansi_up.js > ansi_up.min.js

## node-ansi-up 5.0.0+dfsg

=== debian/changelog ===
node-ansi-up (5.0.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use dh-sequence-nodejs
  * New upstream version 5.0.0+dfsg (Closes: #984667, CVE-2021-3377)

 -- Yadd <yadd@debian.org>  Sun, 07 Mar 2021 05:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  nodejs (>= 6),
  node-should,
  mocha,
- pkg-js-tools,
+ dh-sequence-nodejs,
  uglifyjs,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/drudru/ansi_up#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-ansi-up.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-ansi-up

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make
	uglifyjs ansi_up.js > ansi_up.min.js

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 repack,\
 repacksuffix=+dfsg,\

## node-ansi-up 5.1.0+dfsg

=== debian/changelog ===
node-ansi-up (5.1.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Mon, 03 Oct 2022 10:13:44 +0200

node-ansi-up (5.1.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libjs-ansi-up, node-ansi-up: Add Multi-Arch: foreign.
  * Remove empty leading paragraph in Description.
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Fix GitHub tags regex
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>
  * Fix debian/clean
  * New upstream version 5.1.0+dfsg
  * Remove Dmitry Bogatov from uploaders list (Closes: #991033) and set myself
    as uploader

 -- Yadd <yadd@debian.org>  Tue, 28 Dec 2021 13:00:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Dmitry Bogatov <KAction@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
-Build-Depends:
- debhelper-compat (= 12),
- node-typescript,
- nodejs (>= 6),
- node-should,
- mocha,
- dh-sequence-nodejs,
- uglifyjs,
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , mocha <!nocheck>
+ , node-should <!nocheck>
+ , node-typescript
+ , uglifyjs
+Standards-Version: 4.6.1
 Homepage: https://github.com/drudru/ansi_up#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-ansi-up.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-ansi-up
@@ -26,16 +24,14 @@
 
 Package: node-ansi-up
 Architecture: all
-Depends:
- ${misc:Depends}
- , nodejs (>= 6)
+Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: ${S:X-Short-Desc} ${S:X-Long-Desc}
- .
  Node.js is an event-based server-side JavaScript engine.
 
 Package: libjs-ansi-up
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: ${S:X-Short-Desc} ${S:X-Long-Desc}
- .
  This package provides library in format, suitable for client-side programming.

=== debian/watch ===
version=4
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ansi-up-$1/ \
 https://github.com/drudru/ansi_up/tags .*/archive/.*/v?([\d\.]+).tar.gz
